local t = ...;
t = Def.ActorFrame {
	children = {
		Def.Sprite {
			Texture="receptor parts 2x3";
			Frame0000=0;
			Delay0000=1;
			InitCommand=cmd();
		};

		Def.Sprite {
			Texture="receptor parts 2x3";
			Frame0000=2;
			Delay0000=1;
			InitCommand=NOTESKIN:GetMetricA('Receptor', 'InitCommand');
		};

		Def.Sprite {
			Texture="receptor parts 2x3";
			Frame0000=4;
			Delay0000=1;
			InitCommand=cmd(diffusealpha,0;glow,1,1,1,0);
			NoneCommand=NOTESKIN:GetMetricA('Receptor', 'TapCommand');
			W5Command=NOTESKIN:GetMetricA('Receptor', 'W5Command');
			W4Command=NOTESKIN:GetMetricA('Receptor', 'W4Command');
			W3Command=NOTESKIN:GetMetricA('Receptor', 'W3Command');
			W2Command=NOTESKIN:GetMetricA('Receptor', 'W2Command');
			W1Command=NOTESKIN:GetMetricA('Receptor', 'W1Command');
		};

	}
}
return t;